For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
              • GETList Blog Posts
              • POSTCreate Blog Post
              • DELDelete Blog Posts
              • GETGet Blog Post
              • PUTUpdate Blog Post
              • DELDelete Blog Post
              • GETGet Count of Blog Posts
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentStore ContentBlog Posts

Delete Blog Post

DELETE
https://api.bigcommerce.com/stores/:store_hash/v2/blog/posts/:id
DELETE
/stores/:store_hash/v2/blog/posts/:id
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v2/blog/posts/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"

Deletes a Blog Post.

Was this page helpful?
Previous

Update Blog Post

Next

Get Count of Blog Posts

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

idintegerRequired
ID of the blog post.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response